#!/bin/bash

if git rev-parse --is-inside-work-tree >/dev/null 2>&1; then
    VERSION=$(git describe --tags 2>/dev/null || git rev-parse --short HEAD || echo "v0.0.0-unknown")
    DIRTY=$(git diff-index --quiet HEAD -- || echo "-dirty")
    FULL_VERSION="${VERSION}${DIRTY}"
    echo "$FULL_VERSION"
else
    cat ./VERSION.txt
fi
